> ## Documentation Index
> Fetch the complete documentation index at: https://servo.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# List robots



## OpenAPI

````yaml /api-reference/openapi.json get /v1/robots
openapi: 3.1.0
info:
  title: Servo Public API
  version: 0.1.0
  description: >-
    Hosted robot policy API for robot inventory, models, deployments, and
    fleets.
servers: []
security:
  - bearerAuth: []
paths:
  /v1/robots:
    get:
      tags:
        - robots
      summary: List robots
      operationId: list__v1_robots_get
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/RobotView'
                type: array
                title: Response List  V1 Robots Get
      security:
        - bearerAuth: []
components:
  schemas:
    RobotView:
      properties:
        id:
          type: string
          title: Id
        name:
          type: string
          title: Name
        robot_type_id:
          type: string
          title: Robot Type Id
        region:
          type: string
          title: Region
        site:
          anyOf:
            - type: string
            - type: 'null'
          title: Site
        labels:
          additionalProperties:
            type: string
          type: object
          title: Labels
        created_at:
          type: string
          format: date-time
          title: Created At
      additionalProperties: false
      type: object
      required:
        - id
        - name
        - robot_type_id
        - region
        - created_at
      title: RobotView
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: Servo organization API key
      description: >-
        Organization API key (`sk_servo_...`) or authenticated CLI session
        token.

````